"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const constant$1 = require("./constant.js");
const _defineProperty = require("./_defineProperty.js");
const identity$1 = require("./identity.js");
var constant = constant$1.constant_1, defineProperty = _defineProperty._defineProperty, identity = identity$1.identity_1;
var baseSetToString = !defineProperty ? identity : function(func, string) {
  return defineProperty(func, "toString", {
    "configurable": true,
    "enumerable": false,
    "value": constant(string),
    "writable": true
  });
};
var _baseSetToString = baseSetToString;
exports._baseSetToString = _baseSetToString;
